#!/sbin/sh
# Post recovery TWRP shell script --==ViT==-- 2019-12-25
# This script check postrecovery.sh file from int/ext sdcard or ext USB drive from root TWRP folder
# If postrecoveryboot.sh will found on user space device 
# then this script will be executed from /tmp folder TWRP recovery
echo $(date +%F' '%H:%M:%S) - TWRP script /sbin/postrecoveryboot.sh started.... > /tmp/postrecoveryboot.log
if [ -f /sdcard/TWRP/postrecoveryboot.sh ]
    then file_exec=/sdcard/TWRP/postrecoveryboot.sh
elif [ -f /external_sd/TWRP/postrecoveryboot.sh ]
    then file_exec=/external_sd/TWRP/postrecoveryboot.sh
elif [ -f /usb-otg/TWRP/postrecoveryboot.sh ]
    then file_exec=/usb-otg/TWRP/postrecoveryboot.sh
else    
    echo - User script postrecoveryboot.sh not found on user space devices >> /tmp/postrecoveryboot.log
    exit 0
fi
echo $(date +%F' '%H:%M:%S) - User script $file_exec found on user space devices >> /tmp/postrecoveryboot.log
cp $file_exec /tmp/postrecoveryboot.sh
chmod 755 /tmp/postrecoveryboot.sh
/tmp/postrecoveryboot.sh
echo $(date +%F' '%H:%M:%S) - User script $file_exec executed from /tmp/ folder >> /tmp/postrecoveryboot.log
